Bug 73998 - EDITING: Calc crash copying formula text in Input Bar among different LibO branches
Summary: EDITING: Calc crash copying formula text in Input Bar among different LibO br...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: highest normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2014-01-23 23:01 UTC by m.a.riosv
Modified: 2015-12-15 11:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace with 4.3.0.0.alpha1+ (23.67 KB, text/plain)
2014-05-04 03:17 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2014-01-23 23:01:39 UTC
Open a new spreadsheet in 4.2.0.3
Open a new spreadsheet in 4.1.6.0.0+
In A1 enter the formula:
 +A2
edit the cell, select the formula, Ctrl+C for copy.
For 4.1.6.0.0+ spreadsheet.
Paste in A1
4.1.6.0.0+ crash.

No issue with 4.0.6.2

No option for select 4.1.6.0.0+ as version.
Comment 1 Michael Stahl (CIB) 2014-01-31 19:33:00 UTC
crashes 4.1.0.4 already; get this assertion
warn:svl:11855:1:svl/source/items/itempool.cxx:759: unequal items in Put(): no operator==?, with ID/pos 3996
Comment 2 m.a.riosv 2014-05-04 03:17:04 UTC
Created attachment 98394 [details]
Backtrace with 4.3.0.0.alpha1+

The issue is there pasting in different versions,

one to verify is copying from:
Version: 4.2.5.0.0+ Build ID: 59906c3d54e6541185f4bf85b1d1c70530198059
   TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-04-30_09:30:13

Version: 4.3.0.0.alpha1+ Build ID: 20778b037c688759a4dc46acb8aeb66c9d1290cc
   TinderBox: Win-x86@39, Branch:master, Time: 2014-05-03_23:16:12

Pasting from 4.1.6 enter a long text but no crash.

Attached backtrace for 4.3.0.0.alpha1+
Comment 3 tommy27 2014-05-04 09:40:08 UTC
@m.a.riosv
I don't understand why did you put this to mab4.3 list rather than mab4.2 list.
the latter one seems me more appropriate since the issue is not limited to 4.3.x but affects 4.2.x as well.

am I missing something of the whole picture?
Comment 4 Jorendc 2014-05-04 22:01:53 UTC
(In reply to comment #3)
> @m.a.riosv
> I don't understand why did you put this to mab4.3 list rather than mab4.2
> list.
Agreed -> moving bug to mab4.2
Comment 5 m.a.riosv 2014-05-04 23:17:57 UTC
Hi Tommy, I was who miss something. :)
Thanks for moving between mabs Joren.

I think this is not very common use, perhaps only people like us doing test with several versions can find it.
Comment 6 Joel Madero 2014-06-18 04:37:21 UTC
Ubuntu 14.04 x64

Copying from LibreOffice 4.2.5.2 release to bibisect release

c4b8375c4f4cd507d1bb4913f46789cf354e78a5 is the first bad commit
commit c4b8375c4f4cd507d1bb4913f46789cf354e78a5
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Mon May 12 08:05:07 2014 +0000

    source-hash-9359f4747181ae93f777f224a9f64a832d5b806c
    
    commit 9359f4747181ae93f777f224a9f64a832d5b806c
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Fri Apr 4 20:39:45 2014 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Fri Apr 4 20:58:28 2014 +0100
    
        coverity#704951 Explicit null dereferenced
    
        Change-Id: I0f1cf705d0eea78b5bf44e0d6b882f7c8636a6ac

:100644 100644 72f041db1709363ea3831ef3428971b17d1641be 541cac0bd6d1f94969daa71de2c02ad238173edb M	ccache.log
:100644 100644 fded967f258c7148e0d8e7ad4e35e38ebd056c05 324c1aabc56b5806434b8b632ff103f605528ef0 M	commitmsg
:100644 100644 ad8d0284128c0fe1842a9f76808b71cd737b49f2 904ec49c049ab71c92e3335d379b06531eac0c5f M	make.log
:040000 040000 9c324f9b84c4125e64f0787404dd1e8d99073201 b5ca14cf5958a606dc693d2d8c048cf619031e5c M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# good: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect good a900e72b6357882284c5955bdf939bf14269f5fb
# skip: [e80660c5a1d812cd04586dae1f22767fc3778c4a] source-hash-07c60c8ee2d1465544a6a39e57bc06b3690b8dfb
git bisect skip e80660c5a1d812cd04586dae1f22767fc3778c4a
# bad: [df9bcaed2faa2a8d11b19f877cdff3a12a887278] source-hash-6ba9692d8bbe3e3c245aca9a7c928e81178d05f1
git bisect bad df9bcaed2faa2a8d11b19f877cdff3a12a887278
# good: [9d57c189d74551d2b3770cc81139ea10a62e672f] source-hash-5b5e62650354788e50b44f32c22b687b2018aba9
git bisect good 9d57c189d74551d2b3770cc81139ea10a62e672f
# bad: [894c969cde608547fda47917dbeeffdf7ebb4628] source-hash-7cc6de1cc2cfb466131072c2a1cd99c4a6279ebc
git bisect bad 894c969cde608547fda47917dbeeffdf7ebb4628
# good: [043d1114b660bf322c82b6d4af3d7a6decf410b6] source-hash-de0309581b2a539e8ccf370ff0f054a56dba1c11
git bisect good 043d1114b660bf322c82b6d4af3d7a6decf410b6
# good: [b8d4c2c363da2881d681775daa3d8cd17a777667] source-hash-49a96a4d38ed144f6d05a0d2d8a83c2cee52b304
git bisect good b8d4c2c363da2881d681775daa3d8cd17a777667
# good: [2bd7d7ecf3c6ff844c9b8febae4e9ccfea958837] source-hash-214751e3cc5b154d90963f4abf0a9317733b001b
git bisect good 2bd7d7ecf3c6ff844c9b8febae4e9ccfea958837
# bad: [c4b8375c4f4cd507d1bb4913f46789cf354e78a5] source-hash-9359f4747181ae93f777f224a9f64a832d5b806c
git bisect bad c4b8375c4f4cd507d1bb4913f46789cf354e78a5
# first bad commit: [c4b8375c4f4cd507d1bb4913f46789cf354e78a5] source-hash-9359f4747181ae93f777f224a9f64a832d5b806c
Comment 7 Björn Michaelsen 2014-07-12 20:13:06 UTC
MABs should be priority highest.
Comment 8 tommy27 2014-12-07 08:50:49 UTC
crash happens copying formula from 4.2.6.2 to 4.3.4.1
same crash copying formula from 4.2.6.2 to 4.5.0.0 alpha or
copying from 4.5.0.0 alpha to 4.2.6.2

however there's no crash copying formula from 4.3.4.1 to 4.5.0.0 alpha or
copying formula from 4.3.4.1 to 4.2.6.2 or
copying formula 4.5.0.0 alpha to 4.3.4.1

so it seems that most of the incompatibilities among different branches are resolved and the residual ones involve the 4.2.x branch which is EOL.

once the 4.3.x branch will be declared stable (it will happen very soon) and all 4.2.x user will migrate to the new branch this bug will not happen anymore.
anyway I already suggest all 4.2.x user to upgrade to 4.3.x 

edited summary notes.
I set status as RESOLVED WORKSFORME
Comment 9 Robinson Tryon (qubit) 2015-12-15 11:03:27 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]